package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;
import java.util.Set;

import cn.com.qmth.stmms.biz.exam.model.MarkerClass;

public interface MarkerClassService {

    List<MarkerClass> findByUserIdAndExamId(int userId, int examId);

    long countByUserIdAndExamId(int userId, int examId);

    void deleteByUserIdAndExamId(int userId, int examId);

    void save(int userId, int examId, String[] classes);

    Set<String> findClassNameByUserIdAndExamId(int userId, int examId);

    MarkerClass findByUserIdAndExamIdAndClassName(Integer userId, Integer examId, String className);

    int batchSave(List<MarkerClass> saveList);

}
